| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::SharedQueue< T > Class Template Reference

## Public Member Functions
void | cancel (T const &queueEndSignal)
void | clear ()
T & | front ()
bool | isEmpty ()
int | maxDepth () const
int | maxDepthLimit () const
T | pop_front ()
void | push_back (T &&item)
void | push_back (T const &item)
void | setMaxDepth (int depth)
int | size ()

## Member Function Documentation

## ◆ push_back() [1/2]

template<typename T >

void Digikam::SharedQueue< T >::push_back | ( | T && | item | ) |
| inline

< Notify one waiting thread.

## ◆ push_back() [2/2]

template<typename T >

void Digikam::SharedQueue< T >::push_back | ( | T const & | item | ) |
| inline

< Notify one waiting thread.